Package com.xebialabs.xlrelease.domain.variables.reference

## Class VariableMappingUsagePoint

- java.lang.Object
- - com.xebialabs.xlrelease.domain.variables.reference.VariableMappingUsagePoint

- All Implemented Interfaces:
    `UsagePoint`

      public class VariableMappingUsagePoint
      extends java.lang.Object
      implements UsagePoint

  This usage point means that a variable is contained as a value in one of entries of the `variableMapping`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableMappingUsagePoint​(ConfigurationItem ci, java.lang.String fqPropertyName, CiProperty targetProperty)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​VariableReference.VariableUsageType>` | `collectVariables()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `CiProperty` | `getTargetProperty()` |
    `int` | `hashCode()` |
    `java.util.Set<ConfigurationItem>` | `replaceVariable​(Variable variable, VariableOrValue replacement)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMappingUsagePoint

          public VariableMappingUsagePoint​(ConfigurationItem ci,
                                           java.lang.String fqPropertyName,
                                           CiProperty targetProperty)

  - ### Method Detail

    - #### collectVariables

          public java.util.Map<java.lang.String,​VariableReference.VariableUsageType> collectVariables()

      Specified by:
        `collectVariables` in interface `UsagePoint`

    - #### replaceVariable

          public java.util.Set<ConfigurationItem> replaceVariable​(Variable variable,
                                                                  VariableOrValue replacement)

      Specified by:
        `replaceVariable` in interface `UsagePoint`

    - #### getTargetProperty

          public CiProperty getTargetProperty()

      Specified by:
        `getTargetProperty` in interface `UsagePoint`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`